<?xml version="1.0"?>
<info xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	  xsi:noNamespaceSchemaLocation="https://apps.nextcloud.com/schema/apps/info.xsd">
	<id>circles</id>
	<name>Circles</name>
	<summary>Bring cloud-users closer together.</summary>
	<description><![CDATA[Circles allows your users to create their own groups of users/colleagues/friends.
Those groups of users (or 'circles') can then be used by any other app for sharing purpose (files, social feed, status update, messaging, ...).

Different type of circles can be created:

- A personal circle is a list of users known only to the owner.
This is the right option if you want to do recurrent sharing with the same group of people.

- A public circle is an open group visible to anyone willing to join.
Your circle will be visible to everyone and everyone will be able to join the circle.

- A closed circle requires invitation or confirmation by an admin.
This is the right circle if you are looking for privacy when sharing your files or ideas.

- An Secret circle is an open group that can be protected by a password.
Users won't be able to find this Circle using Nextcloud search engine.

		]]>
	</description>
	<version>0.15.2</version>
	<licence>agpl</licence>
	<author>Maxence Lange</author>
	<documentation>
		<admin>https://github.com/nextcloud/circles/wiki</admin>
	</documentation>
	<category>integration</category>
	<category>organization</category>
	<category>tools</category>
	<category>social</category>
	<website>https://github.com/nextcloud/circles</website>
	<bugs>https://github.com/nextcloud/circles/issues</bugs>
	<repository>https://github.com/nextcloud/circles.git</repository>
	<screenshot>https://raw.githubusercontent.com/nextcloud/circles/master/screenshots/0.12.0.png</screenshot>
	<dependencies>
		<nextcloud min-version="14" max-version="14"/>
	</dependencies>

	<repair-steps>
		<post-migration>
			<step>OCA\Circles\Migration\UpdateShareTimeToTimestamp</step>
			<step>OCA\Circles\Migration\ImportOwncloudCustomGroups</step>
			<step>OCA\Circles\Migration\GenerateUniqueIdOnCreatedCircle</step>
			<step>OCA\Circles\Migration\UsingShortenUniqueIdInsteadOfCircleId</step>
			<step>OCA\Circles\Migration\RemoveDeadShares</step>
		</post-migration>
	</repair-steps>

	<commands>
		<command>OCA\Circles\Command\Clean</command>
		<!--<command>OCA\Circles\Command\Groups</command>-->
		<command>OCA\Circles\Command\FixUniqueId</command>
	</commands>

	<settings>
		<admin>OCA\Circles\Settings\CirclesSettings</admin>
	</settings>

	<activity>
		<settings>
			<setting>OCA\Circles\Activity\SettingAsModerator</setting>
			<setting>OCA\Circles\Activity\SettingAsMember</setting>
		</settings>
		<filters>
			<filter>OCA\Circles\Activity\Filter</filter>
		</filters>
		<providers>
			<provider>OCA\Circles\Activity\Provider</provider>
		</providers>
	</activity>

	<collaboration>
		<plugins>
			<plugin type="collaborator-search" share-type="SHARE_TYPE_CIRCLE">OCA\Circles\Collaboration\v1\CollaboratorSearchPlugin</plugin>
		</plugins>
	</collaboration>

</info>
